package org.kde.koala;
import org.kde.qt.*;


/** {@link KIntNumInput} emits these signals */
public interface KIntNumInputSignals {

/** 
 Emitted every time the value changes (by calling {@link KIntNumInput#setValue} or
 by user interaction).
     
*/
	void valueChanged( int arg1 );

/** 
 Emitted whenever {@link KIntNumInput#valueChanged} is. Contains the change
 relative to the {@link referencePoint}.

*/
	void relativeValueChanged( double arg1 );
	void destroyed( QObject obj );
}

